# lib/goog/testing/objectpropertystring.js

    1// Copyright 2009 The Closure Library Authors. All Rights Reserved.2//3// Licensed under the Apache License, Version 2.0 (the "License");4// you may not use this file except in compliance with the License.5// You may obtain a copy of the License at6//7//      http://www.apache.org/licenses/LICENSE-2.08//9// Unless required by applicable law or agreed to in writing, software10// distributed under the License is distributed on an "AS-IS" BASIS,11// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.12// See the License for the specific language governing permissions and13// limitations under the License.1415/**16 * @fileoverview Helper for passing property names as string literals in17 * compiled test code.18 *19 */2021goog.provide('goog.testing.ObjectPropertyString');22232425/**26 * Object to pass a property name as a string literal and its containing object27 * when the JSCompiler is rewriting these names. This should only be used in28 * test code.29 *30 * @param {Object} object The containing object.31 * @param {Object|string} propertyString Property name as a string literal.32 * @constructor33 * @final34 */35goog.testing.ObjectPropertyString = function(object, propertyString) {36  this.object_ = object;37  this.propertyString_ = /** @type {string} */ (propertyString);38};394041/**42 * @type {Object}43 * @private44 */45goog.testing.ObjectPropertyString.prototype.object_;464748/**49 * @type {string}50 * @private51 */52goog.testing.ObjectPropertyString.prototype.propertyString_;535455/**56 * @return {Object} The object.57 */58goog.testing.ObjectPropertyString.prototype.getObject = function() {59  return this.object_;60};616263/**64 * @return {string} The property string.65 */66goog.testing.ObjectPropertyString.prototype.getPropertyString = function() {67  return this.propertyString_;68};